# List Balance Adjustments

Retrieve a list of Balance Adjustment resources for an Application.

Only ROLE_PARTNER or ROLE_PLATFORM credentials can be used to retrieve Balance Adjustment objects.

Endpoint: GET /balance_adjustments
Version: 2022-02-01
Security: BasicAuth

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

## Query parameters:

  - `after_cursor` (string)
    Return every resource created after the cursor value.

  - `before_cursor` (string)
    Return every resource created before the cursor value.

  - `created_at.gte` (string)
    Filter where created_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `created_at.lte` (string)
    Filter where created_at is before the given date.
    Example: "2026-09-27T11:21:23"

  - `limit` (integer)
    The numbers of items to return.
    Example: 10

  - `tags.key` (string)
    Filter by the tag's key. For more information, see Tags.
    Example: "card_type"

  - `tags.value` (string)
    Filter by the tag's value. For more information, see Tags.
    Example: "business_card"

  - `updated_at.gte` (string)
    Filter where updated_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `updated_at.lte` (string)
    Filter where updated_at is before the given date.
    Example: "2026-09-27T11:21:23"

## Response 200 fields (application/json):

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string,null)
    The cursor to use for the next page of results.

  - `_embedded` (object)

  - `_embedded.balance_adjustments` (array)

  - `_embedded.balance_adjustments.id` (string)
    The ID of the resource.

  - `_embedded.balance_adjustments.created_at` (string)
    Timestamp of when the object was created.

  - `_embedded.balance_adjustments.updated_at` (string)
    Timestamp of when the object was last updated.

  - `_embedded.balance_adjustments.amount` (integer)
    The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).
    Example: 5000

  - `_embedded.balance_adjustments.balance_entry_id` (string)
    A ledger record that tracks individual financial movements within a Balance Adjustment.

  - `_embedded.balance_adjustments.currency` (string)
    ISO 4217 3 letter currency code.
    Enum: "USD"

  - `_embedded.balance_adjustments.description` (string)
    A description of the Balance Adjustment.

  - `_embedded.balance_adjustments.failure_code` (string,null)
    The code of the failure so the decline can be handled programmatically. For more info on how to handle the failure, see [Failure Codes](/guides/payouts/handling-payout-failures).

  - `_embedded.balance_adjustments.failure_message` (string,null)
    The code of the failure so the decline can be handled programmatically. For more info on how to handle the failure, see [Failure Codes](/guides/payouts/handling-payout-failures).

  - `_embedded.balance_adjustments.instrument_id` (string)
    The account, card, or bank account that is credited or debited as part of the adjustment.

  - `_embedded.balance_adjustments.processor` (string)
    The payment processing entity responsible for handling transactions, fund movements, etc., between different financial accounts.
    Enum: "DUMMY_V1", "FINIX_V1"

  - `_embedded.balance_adjustments.rail` (string)
    The method of adjustment.
    Enum: "ACH"

  - `_embedded.balance_adjustments.state` (string)
    The status of the Balance Adjustment, indicating whether the adjustment was successful or failed.

- SUBMITTED - The balance adjustment has been initiated but is not yet confirmed.  
- SUCCEEDED - The adjustment was successful, and the funds are available. This typically occurs 1-3 business days after SUBMITTED.  
- FAILED - Finix was unable to process the adjustment, and the balance was not updated.  
- RETURN - The adjustment was initially successful, but a subsequent return resulted in a reversal of the balance increase.
    Enum: "FAILED", "RETURNED", "SUBMITTED", "SUCCEEDED"

  - `_embedded.balance_adjustments.trace_id` (string)
    A unique identifier for tracking the Balance Adjustment across its lifecycle.

  - `_embedded.balance_adjustments.type` (string)
    Specifies whether the Balance Adjustment increases or decreases the account balance.

Acceptable values:
- TOP_UP - Adds funds to the balance (e.g., a deposit or manual funding).
    Enum: "TOP_UP"

  - `_embedded.balance_adjustments.tags` (object,null)
    Include up to 50 key: value pairs to annotate requests with custom metadata.
- Maximum character length for individual keys is 40.
- Maximum character length for individual values is 500.
(For example, order_number: 25, item_type: produce, department: sales)

  - `_embedded.balance_adjustments._links` (object)
    An object containing link(s) relevant to the request. You can store these links for follow-up requests.

  - `_embedded.balance_adjustments._links.self` (object)

  - `_embedded.balance_adjustments._links.self.href` (string)
    The path to the new Balance Adjustment resource.

  - `_links` (object)

  - `_links.self` (object)
    Link to the resource that was used in the request.

  - `_links.self.href` (string)

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.


